Extending Qt Creator Manual | CustomParser

Extending Qt Creator Manual 4.7.1

# CustomParser Class

(ProjectExplorer::CustomParser)

- List of all members, including inherited members

## Public Functions

| CustomParser(const ProjectExplorer::CustomParserSettings &settings = CustomParserSettings())
void | setSettings(const ProjectExplorer::CustomParserSettings &settings)
void | stdError(const int &line) override
void | stdOutput(const int &line) override

## Static Public Members

int | id()

## Member Function Documentation

### CustomParser::CustomParser(const ProjectExplorer::CustomParserSettings &settings = CustomParserSettings())

Default constructs an instance of CustomParser.

### `[static]` int CustomParser::id()

### void CustomParser::setSettings(const ProjectExplorer::CustomParserSettings &settings)

### void CustomParser::stdError(const int &line)

### void CustomParser::stdOutput(const int &line)